Skip to main content
Users
CloudPortalLogin
  • Powered byPowered by
Developing with Sitecore CDP
Data privacy
Before you start sending data
Integrating with Sitecore CDP
Stream API
Batch API
REST APIs
Data lake export service
  • Sitecore CDP for developers
  • REST APIs
  • Legacy REST APIs
  • Order consumer REST API v2 (legacy)
  • Update an order consumer (legacy)

Update an order consumer (legacy)

Important

A newer version of this REST API (v2.1) is available. If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, read about the differences between v2 and v2.1 so you can upgrade.

POST /v2/orderConsumers/<orderConsumerRef>

Updates an order consumer.

Attribute

Type

Description

Example

orderConsumerRef

string

The reference of the consumer on the order.

If you do not know the order consumer reference, first retrieve order consumer references for an order.

f8d1f0d5-365d-46b7-becf-d041e93a5705

At a minimum, you must provide the following required attributes in the request body:

Attribute

Type

Description

Example

firstName

string (title case recommended)

The first name of the order consumer.

"John"

lastName

string (title case recommended)

The last name of the order consumer.

"Doe"

RequestResponse
curl -X POST '<baseURL>/v2/orderConsumers/f8d1f0d5-365d-46b7-becf-d041e93a5705' \
-u '<username>:<password>' \
-H 'Accept: application/json' \
--data-raw '{
    "title": "Mr",
    "firstName": "John",
    "lastName": "Doe",
    "gender": "male",
    "guest": {
        "href": "<baseURL>/v2/guests/9d94ee11-7043-4b71-980c-a777d00a7b46"
    },
    "orderItems": {
        "items" : [{
             "href": "<baseURL>/v2/orderItems/FECBB7ED-6DFE-4E8C-85A9-B894B17EF4F3"
     }]
    }
}' 
RequestResponse
{
    "href": "<baseURL>/v2/orderConsumers/C439E8B9-53F3-48BB-BD98-EE3657416FBE",
    "ref": "C439E8B9-53F3-48BB-BD98-EE3657416FBE",
    "createdAt": "2025-08-15T16:00:55.554Z",
    "modifiedAt": "2025-08-21T16:00:51.882Z",
    "title": "Mr",
    "firstName": "John",
    "lastName": "Doe",
    "gender": "male",
    "guest": {
        "href": "<baseURL>/v2/guests/567A697E-4E79-4F2C-96D1-A7249A44744F"
    },
    "orderItems": {
        "items": [{
                "href": "<baseURL>/v2/orderItems/FECBB7ED-6DFE-4E8C-85A9-B894B17EF4F3"
            }]
    },
    "order": {
       "href": "<baseURL>/v2/orders/056621C2-C955-492D-B7EE-C77C6BDDFDEE"
    }
}

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore